Threat Encyclopedia

GitHub.Enterprise.Default.Secret.Remote.Code.Execution

description-logoDescription

This indicates an attack attempt against a Code Execution vulnerability in Github Enterprise.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application while handling crafted HTTP requests. A remote attacker can exploit this to execute arbitrary code, via a crafted HTTP request.

affected-products-logoAffected Products

Github Enterprise version 2.8.0

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor
https://enterprise.github.com/releases/2.8.7/notes